Bug 109287 - file share view from windows clients
file share view from windows clients
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 10:42 EST by Tom Palovchak
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:03:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my samba config file (12.30 KB, text/plain)
2003-11-06 11:49 EST, Tom Palovchak
no flags Details
screen shot of samba file and folder listing problem (283.69 KB, image/jpeg)
2003-11-06 11:53 EST, Tom Palovchak
no flags Details
word doc with description and screen shot (279.50 KB, text/plain)
2003-11-06 11:54 EST, Tom Palovchak
no flags Details
Red Hat 9 samba config file (12.30 KB, text/plain)
2003-11-07 12:31 EST, Tom Palovchak
no flags Details
Red Hat 8 Samba Config file (11.44 KB, text/plain)
2003-11-07 12:35 EST, Tom Palovchak
no flags Details
Red Hat 9 testparm printout (8.61 KB, text/plain)
2003-11-07 12:36 EST, Tom Palovchak
no flags Details
Red Hat 8 testparm printout (8.62 KB, text/plain)
2003-11-07 12:36 EST, Tom Palovchak
no flags Details

  None (edit)
Description Tom Palovchak 2003-11-06 10:42:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705)

Description of problem:
The file shares start to list files and folders mixed together 
alphabetically, then the alphabetical listing restarts.  I would love 
to attach a screen shot from the windows client to show you this.  A 
picture is worth a thousand words.  But the view is like this:
Name                  Size        Type       Date Modified
Alpa (folder name)
Beta (folder name)
betty.txt (file name)
Charlie (folder name)
Dogma (folder name)
Apple (folder name)
Brown (folder name)

We have a standalone ftp server hosting the same file shares and that 
view is perfect thru an Internet Explorer window.  By perfect I mean 
folders listed first alphabetically, then files listed alphabetically.
So I think its the way Samba is presenting these files and folders.

Version-Release number of selected component (if applicable):
samba 2.2.7a-8.9.0

How reproducible:
Didn't try

Steps to Reproduce:
1.Install RedHat 9 on another machine
2.Make sure it has samba-2.2.7a-8.9.0
3.copy over my samba.conf file
    

Actual Results:  No other machine to install this on

Expected Results:  files and folders are mixed together listed 
alphabetically, then the alphabetical listing restarts

Additional info:
Comment 1 Tom Palovchak 2003-11-06 11:49:11 EST
Created attachment 95762 [details]
my samba config file
Comment 2 Tom Palovchak 2003-11-06 11:53:39 EST
Created attachment 95763 [details]
screen shot of samba file and folder listing problem
Comment 3 Tom Palovchak 2003-11-06 11:54:46 EST
Created attachment 95764 [details]
word doc with description and screen shot
Comment 4 Tom Palovchak 2003-11-06 16:01:05 EST
The is a windows95 box on the network that doesn't exhibit this 
problem.  It sorts all folders alphabetically first, then files 
alphabetically.  Right-clicking on its "my computer" says windows 95 
v4.00.950B, IE5 5.00.2314.1003

I spoke of an ftp box which hosts the samba shares on the RedHat 9 
box.  That ftp box is a RedHat 8 box with samba-2.2.7-5.8.0.  I 
don't think it exhibits the same browsing alphabetical view problem, 
but I am in the process of copying the RedHat 9 file shares over to 
that box.  Then I'll see if it does the same thing
Comment 5 Tom Palovchak 2003-11-07 12:31:04 EST
Created attachment 95798 [details]
Red Hat 9 samba config file
Comment 6 Tom Palovchak 2003-11-07 12:34:49 EST
I recreated the "psi" samba share on a Red Hat 8 linux box and 
viewed both the Red Hat 8 and Red Hat 9 "psi" shares from the same 
windows client and the Red Hat 8 didn't not have the same problem.  
It displayed everything fine.  All folders listed alphabetically 
first, then files listed alphabetically.

I'm attaching the testparm printout and samba.conf files from both 
the Red Hat 9 and Red Hat 8 boxes.  RH9 is called "file1" and RH8 is 
called "ftp1"
Comment 7 Tom Palovchak 2003-11-07 12:35:23 EST
Created attachment 95799 [details]
Red Hat 8 Samba Config file
Comment 8 Tom Palovchak 2003-11-07 12:36:25 EST
Created attachment 95800 [details]
Red Hat 9 testparm printout
Comment 9 Tom Palovchak 2003-11-07 12:36:49 EST
Created attachment 95801 [details]
Red Hat 8 testparm printout
Comment 10 Bill Nottingham 2006-08-05 00:35:58 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 12 Bill Nottingham 2007-01-02 14:03:14 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.